curl --request POST \
--url https://api.getsly.ai/v1/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parentAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"kyaTier": 0,
"generateKeypair": false,
"skills": [
"<string>"
],
"metadata": {}
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"kya_tier": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"skills": [],
"metadata": {},
"public_key": "<string>",
"connected": false
},
"credentials": {
"token": "<string>",
"warning": "<string>"
},
"authKey": {
"keyId": "<string>",
"publicKey": "<string>",
"privateKey": "<string>",
"algorithm": "ed25519",
"warning": "<string>"
}
}Register an AI actor under a parent account. The response contains credentials — the agent_* token and (if requested) an Ed25519 keypair. Both the token and the private key are shown once and not recoverable.
curl --request POST \
--url https://api.getsly.ai/v1/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parentAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"kyaTier": 0,
"generateKeypair": false,
"skills": [
"<string>"
],
"metadata": {}
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"kya_tier": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"skills": [],
"metadata": {},
"public_key": "<string>",
"connected": false
},
"credentials": {
"token": "<string>",
"warning": "<string>"
},
"authKey": {
"keyId": "<string>",
"publicKey": "<string>",
"privateKey": "<string>",
"algorithm": "ed25519",
"warning": "<string>"
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
1 - 25510000 <= x <= 3If true, returns an Ed25519 keypair (private key shown once)
Show child attributes